## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 20;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           hedley
Summary:        A C/C++ header to help move #ifdefs out of your code
Version:        15
Release:        %autorelease

URL:            https://nemequ.github.io/hedley/
%global forgeurl https://github.com/nemequ/hedley
Source:         %{forgeurl}/archive/v%{version}/hedley-%{version}.tar.gz
# The CC0-1.0 license is *not allowed* in Fedora for code, but this package
# falls under the following blanket exception:
#
#   Existing uses of CC0-1.0 on code files in Fedora packages prior to
#   2022-08-01, and subsequent upstream versions of those files in those
#   packages, continue to be allowed. We encourage Fedora package maintainers
#   to ask upstreams to relicense such files.
#
# https://gitlab.com/fedora/legal/fedora-license-data/-/issues/91#note_1151947383
License:        CC0-1.0

BuildRequires:  gcc-c++
BuildRequires:  make

%global common_description %{expand:
Hedley is a single C/C++ header you can include in your project to enable
compiler-specific features while retaining compatibility with all compilers. It
contains dozens of macros to help make your code easier to use, harder to
misuse, safer, faster, and more portable.

You can safely include Hedley in your public API, and it works with virtually
any C or C++ compiler.}

%description %{common_description}


%package devel
Summary:        %{summary}

Provides:       hedley-static = %{version}-%{release}

%description devel %{common_description}


%prep
%autosetup


# No build section required for single-header library with single-header source


%install
install -t %{buildroot}%{_includedir} -p -m 0644 -D hedley.h


%check
# As far as we can tell, the tests are intended to be used by compiling them,
# not by running the result. See .travis.yml.
%make_build -C test


%files devel
%license COPYING
%doc NEWS
%doc README.md

%{_includedir}/hedley.h


%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 15-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 15-17
- Simplify %%install (drop EPEL7 workaround)

* Sat Jun 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 15-16
- Remove explicit %%set_build_flags, not needed since F36 > >
  https://www.fedoraproject.org/wiki/Changes/SetBuildFlagsBuildCheck

* Wed Apr 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 15-12
- Update License to SPDX

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 15-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 15-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 17 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-5
- Make compatible with EPEL7

* Sun Mar 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-4
- Revert “Provide both arched and unarched versions of hedley-static”

* Fri Mar 26 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-3
- Provide both arched and unarched versions of hedley-static

* Thu Mar 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-2
- Improved source URL (better tarball name)

* Thu Feb 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 15-1
- Initial package

## END: Generated by rpmautospec
